REM ------- Read Data File ------------
	OPEN Q4$ AS 1  :rem --- Source Data File
	IF Q2$="Y" THEN GOSUB 110  :rem --- Personalized Cover
	GOSUB 104  :rem --- Line Printer Heading
62	IF END #1 THEN 63
		IF CONSTAT% THEN GOSUB 64   rem --- Interrupt routine
		READ#1; PL2$,ST2$,DEG2,MIN2,SEC2,H2$,DEG4,MIN4,SEC4,H4$
		PLA$= PL2$+", "+ST2$
		IF PLA$= PL1$ THEN GOTO 62 :rem --- Skip Starting Location
		CONSOLE
		PRINT FNCR$(6,8);"Now calculating for ";PLA$;"            "
		LPRINTER WIDTH 80
		LAT2= FNDMS(DEG2,MIN2,SEC2)
		LON2= FNDMS(DEG4,MIN4,SEC4)
		IF H2$="S" THEN LAT2= LAT2*(-1)
		IF H4$="W" THEN LON2= LON2*(-1)
		GOSUB 68
		IL%=IL%+1
		IF IL%>54 THEN IL%=0: IP%=IP%+1
		IF IL%=0 THEN LPRINTER WIDTH 80:\
			PRINT CHR$(12):GOSUB 104  :rem --- Printout, New Page
		LPRINTER WIDTH 80: PRINT TAB(5);PLA$;TAB(27);:PRINT USING V1$;\
			BA;:PRINT V4$;" ";:PRINT USING V1$;BR;:PRINT V4$;\
			TAB(48);Z$;:PRINT USING V$;STMI;:PRINT TAB(59);Z$;:\
		       PRINT USING V$;NAMI;:PRINT TAB(70);Z$;:PRINT USING V$;KM
	GOTO 62
63	PRINT CHR$(12)
	CLOSE 1: CONSOLE: PRINT CHR$(26)
	PRINT FNCR$(10,12);"THAT'S ALL!!!"
	GOTO 99.9
64	CONSOLE
	PRINT "PRESS 'C' TO CONTINUE, 'S' TO STOP"
	IF CHR$(CONCHAR%) = "C" THEN RETURN
	IF CHR$(CONCHAR%) = "S" THEN STOP
	GOTO 64
